Subject: Re: gdbserver and gdb cross debug?

From: Kenneth Johansson <[email-masked]>
Date: 11 Nov 2002 15:18:02 +0100

On Mon, 2002-11-11 at 14:55, Andreas Beranek wrote:
> Hello,
>
> > > I am porting Linux on EP405 board. So I use gdbserver and gdb......
>
> > Has anybody tried the bdi2000 is that also broken now ? ....
>
> We encountered similar problems. We got it to work with the BDI2000.
>
> Some hints:
>
> Use the latest Firmware from Abatron.
> Use the latest Tools and Kernel.
> Set the Breakpoint-type to "HARD" in BDI config file.
> Check the MMU setup.
> Avoid setting software breakpoints in FLASH.
>
> Mit freundlichen Grüßen,
>

What version of gdb ?

Is bdi broken for soft breakpoint ?? has it ever worked with soft
breakpoint? I tried to get bdi working once and never got soft
breakpoints to work but I did not spend much time on it I needed to
solve my problem and used printk as usual :(.

Anybody used kgdb ?

--
Kenneth Johansson
Ericsson AB                       Tel: +46 8 404 71 83
Borgafjordsgatan 9                Fax: +46 8 404 72 72
164 80 Stockholm                  [email-masked]

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/